Multi BaseHOT VNF cannot be instantiated

Bug #1895830 reported by Toshiaki Takahashi
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tacker
Fix Released
Medium
Aldinson C. Esto

Bug Description

If we instantiate VNF which package include multiple BaseHOT, instantiation is failed.

Instantiate request has been accepted, but Instantiation State does not change from "NOT_INSTANTIATED".

Conductor output the following log, it seems that loading BaseHOT has failed.

[tacker-conductor log]
2020-09-16 21:17:28.077 ERROR oslo_messaging.rpc.server [req-cb5a30ae-e6c7-4b7e-a0d2-577047be150a admin admin] Exception during message handling: tacker.common.exceptions.VnfInstantiationFailed: Vnf instantiation failed for vnf 9e913768-c294-4a37-ab5e-54ea0d670d7f, error: LCM user data failed to get Base HOT.
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server Traceback (most recent call last):
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "/opt/stack/tacker/tacker/vnflcm/vnflcm_driver.py", line 178, in _instantiate_vnf
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server instantiate_vnf_req=instantiate_vnf_req)
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "/opt/stack/tacker/tacker/common/driver_manager.py", line 71, in invoke
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server return getattr(driver, method_name)(**kwargs)
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "/opt/stack/tacker/tacker/vnfm/infra_drivers/openstack/openstack.py", line 760, in instantiate_vnf
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server grant_info=grant_response)
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "/opt/stack/tacker/tacker/common/log.py", line 35, in wrapper
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server return method(*args, **kwargs)
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "/opt/stack/tacker/tacker/vnfm/infra_drivers/openstack/openstack.py", line 141, in create
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server raise vnfm.LCMUserDataFailed(reason=error_reason)
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server tacker.extensions.vnfm.LCMUserDataFailed: LCM user data failed to get Base HOT.
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server During handling of the above exception, another exception occurred:
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server Traceback (most recent call last):
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "/usr/local/lib/python3.6/site-packages/oslo_messaging/rpc/server.py", line 165, in _process_incoming
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server res = self.dispatcher.dispatch(message)
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "/usr/local/lib/python3.6/site-packages/oslo_messaging/rpc/dispatcher.py", line 273, in dispatch
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server return self._do_dispatch(endpoint, method, ctxt, args)
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "/usr/local/lib/python3.6/site-packages/oslo_messaging/rpc/dispatcher.py", line 193, in _do_dispatch
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server result = func(ctxt, **new_args)
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "<decorator-gen-2>", line 2, in instantiate
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "/opt/stack/tacker/tacker/common/coordination.py", line 143, in _synchronized
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server return f(*a, **k)
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "/opt/stack/tacker/tacker/conductor/conductor_server.py", line 425, in instantiate
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server instantiate_vnf)
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "/opt/stack/tacker/tacker/common/log.py", line 35, in wrapper
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server return method(*args, **kwargs)
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "/opt/stack/tacker/tacker/vnflcm/vnflcm_driver.py", line 84, in decorated_function
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server _rollback_vnf(self, context, vnf_instance)
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "/usr/local/lib/python3.6/site-packages/oslo_utils/excutils.py", line 220, in __exit__
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server self.force_reraise()
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "/usr/local/lib/python3.6/site-packages/oslo_utils/excutils.py", line 196, in force_reraise
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server six.reraise(self.type_, self.value, self.tb)
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "/usr/local/lib/python3.6/site-packages/six.py", line 703, in reraise
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server raise value
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "/opt/stack/tacker/tacker/vnflcm/vnflcm_driver.py", line 73, in decorated_function
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server return function(self, context, *args, **kwargs)
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "/opt/stack/tacker/tacker/vnflcm/vnflcm_driver.py", line 242, in instantiate_vnf
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server instantiate_vnf_req)
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server File "/opt/stack/tacker/tacker/vnflcm/vnflcm_driver.py", line 188, in _instantiate_vnf
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server error=encodeutils.exception_to_unicode(exp))
2020-09-16 21:17:28.077 TRACE oslo_messaging.rpc.server tacker.common.exceptions.VnfInstantiationFailed: Vnf instantiation failed for vnf 9e913768-c294-4a37-ab5e-54ea0d670d7f, error: LCM user data failed to get Base HOT.

Yasufumi Ogawa (yasufum)
Changed in tacker:
importance: Undecided → Medium
Changed in tacker:
assignee: nobody → Aldinson C. Esto (esto-aldin)
status: New → In Progress
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix merged to tacker (master)

Reviewed: https://review.opendev.org/752701
Committed: https://git.openstack.org/cgit/openstack/tacker/commit/?id=59e166b62a11ee4adfc92abea91f0224a4789476
Submitter: Zuul
Branch: master

commit 59e166b62a11ee4adfc92abea91f0224a4789476
Author: Aldinson Esto <email address hidden>
Date: Fri Sep 18 22:54:10 2020 +0900

    Fix for Multi BaseHot VNF cannot be instantiated

    This fix will allow Instantiation to be successful when
    Multiple Base Hot is defined in the VNFD Package.

    Closes-Bug: # 1895830
    https://bugs.launchpad.net/tacker/+bug/1895830

    Change-Id: I2d5e677820a4978d609ab492aa64cdc5269fd5c9

Changed in tacker:
status: In Progress → Fix Released
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix proposed to tacker (stable/victoria)

Fix proposed to branch: stable/victoria
Review: https://review.opendev.org/756463

Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix merged to tacker (stable/victoria)

Reviewed: https://review.opendev.org/756463
Committed: https://git.openstack.org/cgit/openstack/tacker/commit/?id=3795395a62a91bf012a0233883ba16ca1cee44e0
Submitter: Zuul
Branch: stable/victoria

commit 3795395a62a91bf012a0233883ba16ca1cee44e0
Author: Aldinson Esto <email address hidden>
Date: Fri Sep 18 22:54:10 2020 +0900

    Fix for Multi BaseHot VNF cannot be instantiated

    This fix will allow Instantiation to be successful when
    Multiple Base Hot is defined in the VNFD Package.

    Closes-Bug: # 1895830
    https://bugs.launchpad.net/tacker/+bug/1895830

    Change-Id: I2d5e677820a4978d609ab492aa64cdc5269fd5c9
    (cherry picked from commit 59e166b62a11ee4adfc92abea91f0224a4789476)

tags: added: in-stable-victoria
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix included in openstack/tacker 5.0.0.0rc1

This issue was fixed in the openstack/tacker 5.0.0.0rc1 release candidate.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers